Start trial
Starts the trial period for a specific subscription type within a company. This endpoint works for trial subscriptions that don't have an active subscription ID yet.
/v1/hq/companies/{company_id}/subscriptions/start-trialAuthorization
BearerTokenAuth
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
"dwawd8awudawd"Query Parameters
Request Body
application/json
The Chargebee item price ID for the subscription plan to start a trial for. Example: Professional-USD-Monthly
Deprecated: Use item_price_id instead. The type of subscription (powerup) for trial is being started. This is required since a company can have multiple subscription types. Examples: appointments_pro, pos, restaurants_pro, noshow
enum"appointments_pro" | "pos" | "restaurants_pro" | "noshow"Response Body
curl -X POST "https://api.noona.is/v1/hq/companies/dwawd8awudawd/subscriptions/start-trial" \ -H "Content-Type: application/json" \ -d '{}'